## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathConstructionContext Class Reference

Inheritance diagram for XPathConstructionContext:

[legend]
List of all members.

## Public Member Functions

- XPathConstructionContext (MemoryManagerType &theManager)
- virtual ~XPathConstructionContext ()
- virtual void reset ()=0
    Reset the instance.
- virtual const XalanDOMString & getPooledString (const XalanDOMString &theString)=0
    Get a pooled string given the source string.
- virtual const XalanDOMString & getPooledString (const XalanDOMChar *theString, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
    Get a pooled string given the source character array.
- virtual XalanDOMString & getCachedString ()=0
    Get a cached string for temporary use.
- virtual bool releaseCachedString (XalanDOMString &theString)=0
    Return a cached string.
- MemoryManagerType & getMemoryManager ()
- virtual void error (const XalanDOMString &msg, const XalanNode *sourceNode, const LocatorType *locator) const=0
- virtual void warn (const XalanDOMString &msg, const XalanNode *sourceNode, const LocatorType *locator) const=0

## Public Attributes

- MemoryManagerType & m_memoryManager

## Detailed Description

Author:
  David N. Bertoni

## Constructor & Destructor Documentation

XPathConstructionContext::XPathConstructionContext | ( | MemoryManagerType & | theManager | ) |

virtual XPathConstructionContext::~XPathConstructionContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XPathConstructionContext::error | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode,
|  | const LocatorType * | locator
| ) | const`[pure virtual]`

| Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

virtual XalanDOMString& XPathConstructionContext::getCachedString | ( |  | ) | `[pure virtual]`

| Get a cached string for temporary use. Returns: A reference to the string Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

MemoryManagerType& XPathConstructionContext::getMemoryManager | ( |  | ) |

virtual const XalanDOMString& XPathConstructionContext::getPooledString | ( | const XalanDOMChar * | theString,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[pure virtual]`

  | Get a pooled string given the source character array. If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use. Parameters:
  theString | The source character array
  theLength | The length of the character array
Returns: a const reference to a pooled string. Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

virtual const XalanDOMString& XPathConstructionContext::getPooledString | ( | const XalanDOMString & | theString | ) | `[pure virtual]`

  | Get a pooled string given the source string. If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use. Parameters:
  theString | The source string
Returns: a const reference to a pooled string. Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

virtual bool XPathConstructionContext::releaseCachedString | ( | XalanDOMString & | theString | ) | `[pure virtual]`

  | Return a cached string. Parameters:
  theString | The string to release.
Returns: true if the string was released successfully. Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

virtual void XPathConstructionContext::reset | ( |  | ) | `[pure virtual]`

| Reset the instance. Any existing objects created by the instance will be destroyed. Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

virtual void XPathConstructionContext::warn | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode,
|  | const LocatorType * | locator
| ) | const`[pure virtual]`

| Implemented in XPathConstructionContextDefault, StylesheetConstructionContext, and StylesheetConstructionContextDefault.

## Member Data Documentation

MemoryManagerType& XPathConstructionContext::m_memoryManager

The documentation for this class was generated from the following file:

- XPathConstructionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.